drop table dim_IOSTAT;

create table dim_IOSTAT
(
 ID          int not null,
 Sno         int not null,
 Disk        varchar(64) not null,
 RS          float(24,5),
 WS          float(24,5),
 KRS         float(24,5),
 KWS         float(24,5),
 Wait        float(24,5),
 Actv        float(24,5),
 Svc_t       float(24,5),
 W           int,
 B           int

);

create index dim_IOSTAT_ID_Sno  on dim_IOSTAT( ID, Sno, Disk );

alter table dim_IOSTAT max_rows=4000000000;

delete from TabX_note where tabname = 'dim_IOSTAT';
insert into TabX_note( tabname, note ) values ( 'dim_IOSTAT', 'Solaris I/O Disk Activity Statistics (iostat)' );

delete from TabX where tabname = 'dim_IOSTAT';
insert into TabX values ( 'dim_IOSTAT',  1, 'id', 'AD', 'ID', '' );
insert into TabX values ( 'dim_IOSTAT',  2, 'sno', 'S', 'Sno#', '' );
insert into TabX values ( 'dim_IOSTAT',  3, 'disk', 'AS', 'DISK', '' );
insert into TabX values ( 'dim_IOSTAT',  4, 'rs', 'V', 'Read/s', '' );
insert into TabX values ( 'dim_IOSTAT',  5, 'krs', 'V', 'Read Kb/s', '' );
insert into TabX values ( 'dim_IOSTAT',  6, 'ws', 'V', 'Write/s', '' );
insert into TabX values ( 'dim_IOSTAT',  7, 'kws', 'V', 'Write Kb/s', '' );
insert into TabX values ( 'dim_IOSTAT',  8, 'wait', 'V', 'Wait', '' );
insert into TabX values ( 'dim_IOSTAT',  9, 'actv', 'V', 'Actv', '' );
insert into TabX values ( 'dim_IOSTAT', 10, 'svc_t', 'V', 'Service time', '' );
insert into TabX values ( 'dim_IOSTAT', 11, 'w', 'V', '%Wait', '' );
insert into TabX values ( 'dim_IOSTAT', 12, 'b', 'V', '%Busy', '' );

